{
  "name": "DAIAN-Admin",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "dev": "next dev -p 8123",
    "build:gen": "node ./cmd/generate-service.js",
    "build-staging": "cp .env.staging .env.production && next build",
    "build": "next build",
    "start": "next start",
    "type-check": "tsc --pretty --noEmit",
    "format": "prettier --write .",
    "lint": "eslint . --ext ts --ext tsx --ext js",
    "test": "jest",
    "test-all": "yarn lint && yarn type-check && yarn test",
    "generate-theme": "generate-theme ./styles/custom-theme.less ./styles/custom-theme.css",
    "generate-service": "node cmd/generate-service.js"
  },
  "lint-staged": {
    "*.@(ts|tsx)": [
      "yarn lint",
      "yarn format"
    ]
  },
  "dependencies": {
    "@ant-design/icons": "^4.7.0",
    "@ant-design/pro-layout": "^7.8.2",
    "@antv/g2plot": "^2.4.7",
    "@hookform/resolvers": "^2.8.5",
    "@next/bundle-analyzer": "^12.0.8",
    "@opd/g2plot-react": "^2.12.0",
    "@tailwindcss/line-clamp": "^0.3.1",
    "@types/react-slick": "^0.23.10",
    "antd": "^5.2.1",
    "antd-img-crop": "^4.0.2",
    "axios": "^0.24.0",
    "chart.js": "^3.7.0",
    "classnames": "^2.3.1",
    "cross-env": "^7.0.3",
    "date-fns": "^3.6.0",
    "esm": "^3.2.25",
    "exceljs": "^4.3.0",
    "file-saver": "^2.0.5",
    "firebase": "^9.6.3",
    "jwt-decode": "^3.1.2",
    "lodash": "^4.17.21",
    "next": "^12.0.8",
    "nookies": "^2.5.2",
    "postcss-preset-env": "^7.2.3",
    "qs": "^6.10.3",
    "rc-select": "^14.2.0",
    "react": "^17.0.1",
    "react-chartjs-2": "^4.0.0",
    "react-countdown": "^2.3.2",
    "react-dom": "^17.0.1",
    "react-google-recaptcha-v3": "^1.9.7",
    "react-hook-form": "^7.24.0",
    "react-icons": "^4.3.1",
    "react-number-format": "^4.9.1",
    "react-otp-input": "^2.4.0",
    "react-player": "^2.9.0",
    "react-quill": "^1.3.5",
    "react-responsive-masonry": "^2.1.4",
    "react-show-more-text": "^1.5.2",
    "react-slick": "^0.28.1",
    "react-sortable-hoc": "^2.0.0",
    "react-to-print": "^2.14.12",
    "recoil": "^0.5.2",
    "slugify": "^1.6.5",
    "webpack": "^5.66.0",
    "xlsx": "^0.18.5",
    "yup": "^0.32.9"
  },
  "devDependencies": {
    "@babel/preset-react": "^7.16.7",
    "@emeks/antd-custom-theme-generator": "^0.2.1",
    "@svgr/cli": "^6.2.0",
    "@testing-library/react": "^12.1.2",
    "@types/jest": "^27.4.0",
    "@types/node": "^18.14.2",
    "@types/quill": "^2.0.9",
    "@types/react": "^17.0.38",
    "@typescript-eslint/eslint-plugin": "^5.9.1",
    "@typescript-eslint/parser": "^5.9.1",
    "autoprefixer": "^10.4.2",
    "babel-jest": "^27.4.6",
    "eslint": "^8.6.0",
    "eslint-config-next": "^12.0.8",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-react": "^7.28.0",
    "husky": "^7.0.4",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^27.4.7",
    "jest-watch-typeahead": "^1.0.0",
    "less": "^4.1.2",
    "lint-staged": "^12.1.7",
    "postcss": "^8.4.5",
    "prettier": "^2.5.1",
    "swagger-axios-codegen": "^0.12.10",
    "tailwindcss": "^3.0.13",
    "typescript": "^4.5.4"
  }
}
